<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <RelativeLayout
        android:id="@+id/ll_top"
        android:layout_width="match_parent"
        android:layout_height="60mm"
        android:layout_alignParentTop="true"
        android:background="@color/blue_bg"
        android:gravity="center_vertical|right"
        android:orientation="horizontal"
        android:paddingHorizontal="20mm">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true">

            <ImageView
                android:layout_width="18mm"
                android:layout_height="18mm"
                android:src="@mipmap/order_detail_bell" />

            <TextView
                android:id="@+id/tv_status"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="10mm"
                android:text="拒绝"
                android:textColor="@color/white"
                android:textSize="16sp" />
        </LinearLayout>

        <TextView
            android:id="@+id/tv_desc"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_marginRight="10mm"
            android:text="同意"
            android:textColor="@color/white"
            android:textSize="16sp" />

    </RelativeLayout>

    <LinearLayout
        android:id="@+id/ll_bottom"
        android:layout_width="match_parent"
        android:layout_height="60mm"
        android:visibility="gone"
        android:layout_alignParentBottom="true"
        android:gravity="center_vertical|right"
        android:orientation="horizontal">

        <LinearLayout
            android:id="@+id/ll_check"
            android:layout_width="match_parent"
            android:layout_height="60mm"
            android:layout_alignParentBottom="true"
            android:gravity="center_vertical|right"
            android:orientation="horizontal"
            android:visibility="gone">

            <TextView
                android:id="@+id/tv_refuse"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="10mm"
                android:background="@drawable/shape_red_btn"
                android:paddingHorizontal="20mm"
                android:paddingVertical="5mm"
                android:text="拒绝"
                android:textColor="@color/white" />

            <TextView
                android:id="@+id/tv_agree"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginRight="10mm"
                android:background="@drawable/shape_green_btn"
                android:paddingHorizontal="20mm"
                android:paddingVertical="5mm"
                android:text="同意"
                android:textColor="@color/white" />

        </LinearLayout>

        <LinearLayout
            android:id="@+id/ll_apply"
            android:layout_width="match_parent"
            android:layout_height="60mm"
            android:layout_alignParentBottom="true"
            android:gravity="center"
            android:orientation="horizontal"
            android:visibility="gone">



            <FrameLayout
                android:id="@+id/fl_finish_apply"
                android:layout_width="wrap_content"
                android:tag="order:so:advance-finish-apply:page:list"
                android:layout_height="wrap_content"
                android:layout_marginRight="10mm">

                <TextView
                    android:id="@+id/tv_finish_apply"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_blue_btn"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="5mm"
                    android:text="提前结束申请"
                    android:tag="order:so:advance-finish-apply:page:list"
                    android:textColor="@color/white" />

                <View
                    android:id="@+id/view_finish_apply"
                    android:layout_width="8mm"
                    android:layout_height="8mm"
                    android:layout_gravity="right"
                    android:background="@drawable/shape_red_circle" />
            </FrameLayout>

            <FrameLayout
                android:id="@+id/fl_send_apply"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:tag="order:so:out-store-apply:page:list"
                android:layout_marginRight="10mm">

                <TextView
                    android:id="@+id/tv_send_apply"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="3mm"
                    android:background="@drawable/shape_blue_btn"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="5mm"
                    android:tag="order:so:out-store-apply:page:list"
                    android:text="发货申请"
                    android:textColor="@color/white" />

                <View
                    android:id="@+id/view_send_apply"
                    android:layout_width="8mm"
                    android:layout_height="8mm"
                    android:layout_gravity="right"
                    android:background="@drawable/shape_red_circle" />
            </FrameLayout>

        </LinearLayout>
    </LinearLayout>


    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@id/ll_bottom"
        android:layout_below="@id/ll_top"
        android:background="@color/white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_above="@id/ll_bottom"
            android:orientation="vertical"
            android:paddingBottom="20mm">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_process"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:paddingVertical="10mm" />
            <LinearLayout
                android:id="@+id/ll_see_more"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:paddingVertical="10mm">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="查看更多" />

                <ImageView
                    android:layout_width="15mm"
                    android:layout_height="15mm"
                    android:src="@mipmap/arrow_down" />
            </LinearLayout>
            <View style="@style/ViewX" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingVertical="10mm">

                <View
                    android:layout_width="8mm"
                    android:layout_height="18mm"
                    android:background="@color/red_btn_bg" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10mm"
                    android:text="订单信息"
                    android:textSize="15sp" />
            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_sale"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="10mm"
                android:paddingBottom="20mm"
                android:background="@color/white"
                android:orientation="vertical"
                android:paddingHorizontal="20mm">

                <TextView
                    android:id="@+id/tv_name"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="5mm"
                    android:text="邢台德龙钢铁客户"
                    android:textSize="16sp"
                    android:textStyle="bold" />


                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="14mm"
                    android:background="#FCFCFD"
                    android:orientation="vertical"
                    android:paddingVertical="10mm">

                    <RelativeLayout
                        android:id="@+id/rl_dep"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:paddingHorizontal="10mm">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10mm"
                            android:text="接单部门"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />

                        <TextView
                            android:id="@+id/tv_dep"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:text="王紫逸"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10mm"
                        android:paddingHorizontal="10mm">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10mm"
                            android:text="下单人"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />

                        <TextView
                            android:id="@+id/tv_place_name"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:text="王紫逸"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10mm"
                        android:paddingHorizontal="10mm">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10mm"
                            android:text="所属公司"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />

                        <TextView
                            android:id="@+id/tv_company"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:text="王紫逸"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />
                    </RelativeLayout>

                    <!-- 3.订单编号 -->
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10mm"
                        android:paddingHorizontal="10mm">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10mm"
                            android:text="订单编号"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />

                        <TextView
                            android:id="@+id/tv_order_no"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:text="王紫逸"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />
                    </RelativeLayout>
                    <!-- 4.下单时间 -->
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10mm"
                        android:paddingHorizontal="10mm">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10mm"
                            android:text="下单时间"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />

                        <TextView
                            android:id="@+id/tv_time"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:text="王紫逸"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />
                    </RelativeLayout>
                    <!-- 3.要求发货时间 -->
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10mm"
                        android:paddingHorizontal="10mm">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10mm"
                            android:text="要求发货时间"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />

                        <TextView
                            android:id="@+id/tv_send_time"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:text="王紫逸"
                            android:textColor="@color/flexible_text_gray"
                            android:textSize="13sp" />
                    </RelativeLayout>
                </LinearLayout>

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10mm"
                    android:gravity="right">


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:text="订单总价:￥"
                        android:textSize="12sp" />

                    <TextView
                        android:id="@+id/tv_order_price"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="15sp" />
                </LinearLayout>
            </LinearLayout>

            <View style="@style/ViewX" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingVertical="10mm">

                <View
                    android:layout_width="8mm"
                    android:layout_height="18mm"
                    android:background="@color/red_btn_bg" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10mm"
                    android:text="货品信息"
                    android:textSize="15sp" />
            </LinearLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/rv_pro"
                android:layout_width="match_parent"
                android:layout_height="wrap_content" />

            <View style="@style/ViewX" />

            <LinearLayout
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingVertical="10mm">

                <View
                    android:layout_width="8mm"
                    android:layout_height="18mm"
                    android:background="@color/red_btn_bg" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10mm"
                    android:text="订单要求"
                    android:textSize="15sp" />
            </LinearLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="18mm"
                android:paddingVertical="10mm"
                android:text="交提货地点:"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/tv_claim1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:background="@drawable/shape_confirm_order"
                android:paddingVertical="5mm" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="18mm"
                android:paddingVertical="10mm"
                android:text="运输方式及费用承担:"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/tv_claim2"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:background="@drawable/shape_confirm_order"
                android:paddingVertical="10mm" />


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="18mm"
                android:paddingVertical="10mm"
                android:text="质量要求技术标准，供方对质量负责的条件和期限："
                android:textSize="16sp" />

            <TextView
                android:id="@+id/tv_claim3"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:background="@drawable/shape_confirm_order"
                android:paddingVertical="10mm" />


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="18mm"
                android:paddingVertical="10mm"
                android:text="包装、唛头及发货要求："
                android:textSize="16sp" />

            <TextView
                android:id="@+id/tv_claim4"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:background="@drawable/shape_confirm_order"
                android:paddingVertical="10mm" />


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="18mm"
                android:paddingVertical="10mm"
                android:text="注意事项："
                android:textSize="16sp" />

            <TextView
                android:id="@+id/tv_claim5"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:background="@drawable/shape_confirm_order"
                android:paddingVertical="10mm" />


            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="18mm"
                android:paddingVertical="10mm"
                android:text="备注"
                android:textSize="16sp" />

            <TextView
                android:id="@+id/tv_claim6"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="20mm"
                android:background="@drawable/shape_confirm_order"
                android:paddingVertical="10mm" />
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>
</RelativeLayout>
